Exception: Capybara::Poltergeist::PhantomJSTooOld

Inherits:
Error
  • Object
show all
Defined in:
lib/capybara/poltergeist/errors.rb

Class Method Summary collapse

Class Method Details

.===(other) ⇒ Object


147
148
149
150
151
152
153
154
155
156
# File 'lib/capybara/poltergeist/errors.rb', line 147

def self.===(other)
  if Cliver::Dependency::VersionMismatch === other
    warn "#{name} exception has been deprecated in favor of using the " +
         "cliver gem for command-line dependency detection. Please " +
         "handle Cliver::Dependency::VersionMismatch instead."
    true
  else
    super
  end
end